MySQLdbd error. Perhpas it isn't installed?

Νίκος Γκρ33κ nikos.gr33k at gmail.com
Tue Mar 26 22:24:00 CET 2013


Hello today i deiced to go form python 2.6 to python 3.2.3

although in 2.6 my script runs in the ht enewest python i ge this error:


Traceback (most recent call last):
  File "/opt/python3/lib/python3.2/site-packages/MySQL_python-1.2.3-py3.2-linux-x86_64.egg/MySQLdb/cursors.py", line 171, in execute
    r = self._query(query)
  File "/opt/python3/lib/python3.2/site-packages/MySQL_python-1.2.3-py3.2-linux-x86_64.egg/MySQLdb/cursors.py", line 330, in _query
    rowcount = self._do_query(q)
  File "/opt/python3/lib/python3.2/site-packages/MySQL_python-1.2.3-py3.2-linux-x86_64.egg/MySQLdb/cursors.py", line 294, in _do_query
    db.query(q)
_mysql_exceptions.ProgrammingError: (1064, "You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near '%s' at line 1")

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "metrites.py", line 193, in <module>
    cur.execute( '''SELECT hits FROM counters WHERE url = %s''', (page,) )
  File "/opt/python3/lib/python3.2/site-packages/MySQL_python-1.2.3-py3.2-linux-x86_64.egg/MySQLdb/cursors.py", line 184, in execute
    self.errorhandler(self, exc, value)
  File "/opt/python3/lib/python3.2/site-packages/MySQL_python-1.2.3-py3.2-linux-x86_64.egg/MySQLdb/connections.py", line 36, in defaulterrorhandler
    raise errorclass(errorvalue)
_mysql_exceptions.ProgrammingError: (1064, "You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near '%s' at line 1")



you can also see it at http://superhost.gr

Any ideas what might be the problem?

My webhost (hostgator.com) says that The MySQLdb module is already installed for python 3 on this server. 

Can you please tell me what's the nature of this error?

Thank you.



More information about the Python-list mailing list